<template>
  <div class="px-4 py-16 mx-auto sm:max-w-xl md:max-w-full lg:max-w-screen-xl md:px-24 lg:px-8 lg:py-20">
    <h1 class="text-xl font-bold pb-8">Some of my Freelance and Internship Projects.</h1>
    <div class="grid gap-8 row-gap-5 lg:grid-cols-2">
     
      <div v-for="(project,index) in projects" :key="index" class="relative py-8 bg-gray-100 p-px overflow-hidden transition duration-300 transform border rounded shadow-sm hover:scale-105 group hover:shadow-xl">
        <div class="relative p-5  rounded-sm">
          <div class="flex flex-col mb-2 lg:items-center lg:flex-row">
            <div class="flex flex-col">
            <h6 class="font-semibold leading-5">{{project.title}}</h6>
            <p class="text-sm text-gray-600">{{project.about}}</p>
            </div>
          </div>
          <p class="my-6 text-sm text-gray-700">{{project.description}}</p>
            <button class="text-indigo-500 w-full bg-transparent border border-solid border-indigo-500 hover:bg-indigo-400 hover:text-white active:bg-indigo-600 font-bold uppercase text-sm px-6 py-3  rounded-lg outline-none focus:outline-none mr-1 mb-1 ease-linear transition-all duration-150" type="button">
             Button text
            </button>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default{
    data(){
        return{
            projects :[
                {
                    title : 'Information Arc.',
                    about : 'Marie Garcia, 5 Min Read',
                    description : 'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Exercitationem eveniet recusandae modi magnam. Molestiae, eaque ad modi numquam reprehenderit sunt inventore. Distinctio quod soluta, explicabo ipsum recusandae amet odit nisi.',
                },
                                {
                    title : 'UX Research',
                    about : 'Marie Garcia, 5 Min Read',
                    description : 'Lorem ipsum dolor sit amet, consectetur adipisicing elit. Exercitationem eveniet recusandae modi magnam. Molestiae, eaque ad modi numquam reprehenderit sunt inventore. Distinctio quod soluta, explicabo ipsum recusandae amet odit nisi.',
                }
            ]
        }
    }
}
</script>
